import { get, post} from '../common/http';
import base from '../common/base';
const user = {
  //退出接口
  logout(data) {
    return post( base.prefix+ `/api/v1/student/logout`, data)
  },
  //当学登录学生的用户信息
  getUserInfoByToken()
  {
    return get(base.prefix + '/api/v1/student/userInfo')
  },
  //修改密码
  changeMinePassword(data) {
    return post(base.prefix + '/api/v1/student/modifyPwd', data)
  },
  // 邮箱密码登录
  loginEmailPass(data) {
    return post(base.prefix + '/api/v1/student/login', data)
  }
}

export default user